
QGIS Application - Feature request #5651

add the "-wo OPTIMIZE_SIZE=TRUE" option to the warp tool

2012-05-27 03:34 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/GDAL

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 15210

Description

see http://gdal.org/structGDALWarpOptions.html#0ed77f9917bb96c7a9aabd73d4d06e08

"OPTIMIZE_SIZE: This defaults to FALSE, but may be set to TRUE when outputing typically to a compressed dataset (GeoTIFF with

COMPRESSED creation option set for example) for achieving a smaller file size. This is achieved by writing at once data aligned on full

blocks of the target dataset, which avoids partial writes of compressed blocks and lost space when they are rewritten at the end of the

file. However sticking to target block size may cause major processing slowdown for some particular reprojections."

see also this thread

http://lists.osgeo.org/pipermail/qgis-user/2012-May/017236.html

Associated revisions

Revision 619356ea - 2016-03-25 02:37 PM - Alexander Bruy

[processing] add OPTIMIZE_SIZE option to gdalwarp (fix #5651)

History

#1 - 2012-09-04 12:09 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2012-12-31 01:23 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#3 - 2014-06-12 05:19 PM - Giovanni Manghi

- Target version changed from Version 2.0.0 to Future Release - Nice to have

- Assignee deleted (anonymous -)

#4 - 2015-12-09 05:52 AM - Médéric RIBREUX

Hello, bug triage...

still true for QGIS 2.13 master. It could also be good to add this option to Processing GDAL warp...

#5 - 2015-12-09 05:53 AM - Giovanni Manghi

- Assignee set to Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

#6 - 2016-03-25 07:45 AM - Alexander Bruy
http://gdal.org/structGDALWarpOptions.html#0ed77f9917bb96c7a9aabd73d4d06e08
http://lists.osgeo.org/pipermail/qgis-user/2012-May/017236.html


- Status changed from Open to Closed

Fixed in changeset commit:"619356ea1c1d1a0147ec7601e33af813ac68f506".

2024-03-20 2/2


